Page MenuHomePhabricator

Implement anonymous saving in store
Closed, ResolvedPublic

Description

Trigger the outcome of T251385.

Could be

  • a store state value which is taken into account when triggering the save action again
  • a dedicated action
  • a parameter on the saveBridge action

Retry (implemented only recently) needs to be taken into account. Maybe we indeed need to persist the "anonymous" decision from the user to make this work.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2020, 10:42 AM
Michael claimed this task.May 11 2020, 12:48 PM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-19 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptMay 11 2020, 12:48 PM

Change 595532 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: implement anonymous saving in store

https://gerrit.wikimedia.org/r/595532

Change 595532 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: implement anonymous saving in store

https://gerrit.wikimedia.org/r/595532

Lucas_Werkmeister_WMDE closed this task as Resolved.May 12 2020, 5:43 AM